insert into DBVersion ( versionsnr, versionsinfo) Values ('4.14','Vce Modus G und H');

/******************************************************************************/
/****                 Deactivating dependencies of objects                 ****/
/******************************************************************************/
SET TERM ^ ;

ALTER PROCEDURE UPD_AUFTRAG(
  PAUFTRAGKEY INTEGER,
  PANZAHLDATENSAETZE INTEGER,
  PZYKLUSNR INTEGER,
  PGATESPANNUNGEN VARCHAR(160) /* COLLATE WIN1252 - default */)
RETURNS (
  RESULT SMALLINT)
AS
BEGIN
  SUSPEND;
END
^


/******************************************************************************/
/****                           Altering tables                            ****/
/******************************************************************************/
SET TERM ; ^

ALTER TABLE AUFTRAEGE
  ADD VCE_SOLL INTEGER;

ALTER TABLE AUFTRAEGE
  ADD VCE_MIN INTEGER;

ALTER TABLE AUFTRAEGE
  ADD VCE_MAX INTEGER;

ALTER TABLE AUFTRAEGE
  ADD P_VCE_KORR INTEGER;

ALTER TABLE AUFTRAEGE
  ADD VCE_SOLL_BT VARCHAR(250) /* COLLATE WIN1252 - default */;
  
ALTER TABLE AUFTRAEGE
  ADD WARTEN_TEMP SMALLINT;

ALTER TABLE AUFTRAEGE
  ADD AUTO_START SMALLINT;


/******************************************************************************/
/****            Altering stored procedures (with empty bodies)            ****/
/******************************************************************************/
SET TERM ^ ;

ALTER PROCEDURE UPD_AUFTRAG(
  PAUFTRAGKEY INTEGER,
  PANZAHLDATENSAETZE INTEGER,
  PZYKLUSNR INTEGER,
  PGATESPANNUNGEN VARCHAR(250) /* COLLATE WIN1252 - default */,
  PVCE_SOLLWERTE VARCHAR(250) /* COLLATE WIN1252 - default */)
RETURNS (
  RESULT SMALLINT)
AS
BEGIN
  SUSPEND;
END
^


/******************************************************************************/
/****                      Altering stored procedures                      ****/
/******************************************************************************/
ALTER PROCEDURE UPD_AUFTRAG(
  PAUFTRAGKEY INTEGER,
  PANZAHLDATENSAETZE INTEGER,
  PZYKLUSNR INTEGER,
  PGATESPANNUNGEN VARCHAR(250) /* COLLATE WIN1252 - default */,
  PVCE_SOLLWERTE VARCHAR(250) /* COLLATE WIN1252 - default */)
RETURNS (
  RESULT SMALLINT)
AS
BEGIN
  result = 0;
  update Auftraege
  Set Anzahldatensaetze = :PAnzahldatensaetze,
      AnzahlZyklenbisher = :PZyklusNR,
      Gatespannungen_BT = :pgatespannungen,
      VCE_soll_BT = :pvce_sollwerte
  where
    Auftragkey = :PAuftragkey;
  result = 1;
END
^


SET TERM ; ^
